/*
 * Print the error indicated
 * in the cerror cell.
 */

int     errno;
int     sys_nerr;
char    *sys_errlist[];
#ifdef EDIAG
char    *sys_eerrlist[];

#include <ediag.h>
#else
# define ediag(e,r) (e)
#endif

perror(s)
char *s;
{
	register char *c;
	register n;

	c = ediag("Unknown error", " ");
	if(errno < sys_nerr)
#ifndef EDIAG
		c = sys_errlist[errno];
#else
		c = ediag( sys_eerrlist[errno], sys_errlist[errno] );
#endif EDIAG
	n = strlen(s);
	if(n) {
		write(2, s, n);
		write(2, ": ", 2);
	}
	write(2, c, strlen(c));
	write(2, "\n", 1);
}
